# -*- coding: utf-8 -*-
from setuphelpers import *
from string import ascii_letters

def update_package():
    host = "srvnagios.ad.tranquil.it"
    site = "tranquilit"
    filename = "check_mk_agent.msi"

    control = PackageEntry().load_control_from_wapt(".")

    download_url = "http://{}/{}/check_mk/agents/windows/check_mk_agent.msi".format(host, site)
    print("Downloading MSI from {}".format(download_url))

    if isfile(filename):
        remove_file(filename)

    wget(download_url, filename)

    cmk_version = get_msi_properties(filename)["ProductVersion"]
    print("Downloaded version is {}".format(cmk_version))
    stripped_version = cmk_version.replace("p", ".")

    print(stripped_version)
    control.version = "{}-10".format(stripped_version)
    control.save_control_to_wapt(".")